<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of ScrapingbotPrice
 *
 * @author scrapingbot
 */
class ScrapingbotPrice extends ObjectModel {
	public $id_platform;
	public $id_product;
    public $price;
    public $description;
    public $shipping_price;
    public $date_add;
    public $data;
    public $image;
    public $title;

	/**
	 * @see ObjectModel::$definition
	 */
	public static $definition = array(
		'table' => 'scrapingbot_price',
		'primary' => 'id_price',
		'fields' => array(
			'id_platform' =>		array('type' => self::TYPE_INT, 'required' => true),
			'id_product' =>			array('type' => self::TYPE_INT,'required' => true),
            'price' =>			    array('type' => self::TYPE_FLOAT, 'validate' => 'isFloat'),
            'shipping_price' =>     array('type' => self::TYPE_FLOAT, 'validate' => 'isFloat'),
            'title' =>        array('type' => self::TYPE_STRING, 'validate' => 'isCleanHtml'),
            'description' =>        array('type' => self::TYPE_STRING, 'validate' => 'isCleanHtml'),
            'data' =>               array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'image' =>               array('type' => self::TYPE_STRING, 'validate' => 'isString'),
            'date_add' =>           array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
		)
	);

}
